﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using n_project.Classes;
using System.Text;
using System.Windows.Forms;

namespace n_project
{
    public partial class frmRequest : Form
    {
        public string empCode;
        public frmRequest()
        {
            InitializeComponent();
        }

        private void btnBack_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void btnAdd_Click(object sender, EventArgs e)
        {
            object[] newRow = new object[2];
            newRow[0] = txttoolName.Text;
            newRow[1] = txtqty.Text;
            txtqty.Text = txttoolName.Text = string.Empty;
            dataGridView1.Rows.Add(newRow);
        }

        private void dataGridView1_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {
            if (e.ColumnIndex == dataGridView1.Columns["delete"].Index)
                dataGridView1.Rows.RemoveAt(e.RowIndex);

        }

        private void btnSend_Click(object sender, EventArgs e)
        {
            ToolsRequest toolsreq = new ToolsRequest();
            toolsreq.deptName = "آزمایشگاه";
            toolsreq.empCode = empCode;
            for (int i = 0; i < dataGridView1.Rows.Count; i++)
                toolsreq.add(dataGridView1.Rows[i].Cells["toolName"].Value.ToString(), Convert.ToInt32(dataGridView1.Rows[i].Cells["qty"].Value));
            toolsreq.insert();
            MessageBox.Show("درخواست شما با موفقیت ثبت شد\n به قسمت مدیریت آزمایشگاه هدایت می شوید", "");
            this.Close();
        }

        private void txtqty_TextChanged(object sender, EventArgs e)
        {
            foreach (char ch in txtqty.Text.ToCharArray())
            {
                //&& ch != '.'
                if (char.IsDigit(ch) == false ) txtqty.Text = txtqty.Text.Replace(ch.ToString(), "");
            }
        }
    }
}
